Subject: Re: DR & BDR Election

From: "Balaji R (Networking) - CTD, Chennai." <[email-masked]>
Date: Fri, 31 May 2002 14:58:03 +0530

Yasu,

Either I have not fully understood your point or there is a flaw in the
calculation. See my explanation below.

My understanding of the scenario:-
---------------------------------
Before C came in, A was elected as DR and BDR was 0.0.0.0 (as B can't accept
DR or BDR responsibilities). Now C comes into picture.

What should happen according to RFC:-
-----------------------------------
A's calculation -  Step 2 would not consider A, as it is already a DR. So,
it would elect C as BDR. Step 3 would again elect A as DR.

My question:-
-----------
So, why would you get the following result?

after        C
1st (2)(3)   -

instead of

after        A
1st (2)(3)   C

OSPF attempts to keep the existing DR even when higher priority routers come
up. So, the DR would lose its status only when a new DR joins (maybe, from a
partioned network) or its priority changes to 0.

Thanks,
Balaji.R.

----------------------------------------------------------------------------
--------

I can't think of a situation where the 2nd calculation of DR (2nd (3))
is necessary ... (I want someone to teach me ...)

But obviously 2nd calculation of BDR (2nd (2)) is necessary, see
below:

# note: RFC2328 9.4 (2) describes BDR calculation, (3) describes DR
#       calculation

                            new comer
            +-+-+    +-+-+    +-+-+
            |A|1|    |B|0|    |C|2|
            +-+-+    +-+-+    +-+-+
            | A |    | A |    | C |
            +---+    +---+    +---+
            | - |    | - |    | - |
            +---+    +---+    +---+

 after        C
1st (2)(3)    -

 after        C
2nd (2)       A

Router B has priority 0 so he is not eligible to become neither DR nor
BDR. So before the newcomer comes, the segment's DR is A and BDR is
none.

Looking into A's calculation, After the newcomer has come and just
after 1st calculation of DR/BDR, A has just resigned DR but he's
yet eligible to become BDR. If we don't recalculate BDR/DR again,
A cannot realize that he can be BDR.